Package net.sf.saxon.functions

## Class ContainsToken

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.CollatingFunctionFixed
      - - net.sf.saxon.functions.ContainsToken

- All Implemented Interfaces:
    `Callable`, `StatefulSystemFunction`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class ContainsToken
      extends CollatingFunctionFixed

  Implements the fn:contains-token() function with the collation already bound. This function was introduced in XPath 3.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainsToken()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanValue` | `call​(XPathContext context, Sequence[] arguments)` | Dynamic evaluation
    `boolean` | `isSubstringMatchingFunction()` | Ask whether this function needs a collation that can handle substring matching

    - ### Methods inherited from class net.sf.saxon.functions.CollatingFunctionFixed

      `copy, exportAttributes, getAtomicComparer, getPreAllocatedAtomicComparer, getStringCollator, importAttributes, preAllocateComparer, setCollationName, setRetainedStaticContext`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### ContainsToken

          public ContainsToken()

  - ### Method Detail

    - #### isSubstringMatchingFunction

          public boolean isSubstringMatchingFunction()

      Description copied from class: `CollatingFunctionFixed`
      Ask whether this function needs a collation that can handle substring matching
      Overrides:
        `isSubstringMatchingFunction` in class `CollatingFunctionFixed`
      Returns:
        true in the case of functions such as contains() and starts-with() where substring matching is required. Returns false by default;

    - #### call

          public BooleanValue call​(XPathContext context,
                                   Sequence[] arguments)
                            throws XPathException

      Dynamic evaluation
      Parameters:
        `context` - the dynamic evaluation context
        `arguments` - the values of the arguments, supplied as Sequences.
      Returns:
        true if the search token is present in the input
      Throws:
        `XPathException` - if a dynamic error occurs